#include "Segment2D.h"

namespace Torch {

void Segment2D::saveXFile(XFile *file)
{
   	P0.saveXFile(file);
   	P1.saveXFile(file);
}

void Segment2D::loadXFile(XFile *file)
{
   	P0.loadXFile(file);
   	P1.loadXFile(file);
}

const char *Segment2D::sprint()
{
	sprintf(buf_sprint, "[(%g, %g) (%g, %g)]", P0.x, P0.y, P1.x, P1.y);

	return buf_sprint;
}

void Segment2D::draw(Image *image, Color color)
{
	image->drawline(P0.x, P0.y, P1.x, P1.y, color);
}

}
